Package com.smartgwt.client.tools.stream

# Class SeleniumCommand

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.stream.SeleniumCommand

All Implemented Interfaces:
  `HasHandlers`

public class SeleniumCommand extends DataClass
Note: this is currently an experimental feature and not covered by normal support guarantees. See `Experimental Features` for more information.
A JavaScript object representing a Selenium command in a Selenese script.

See Also:
  - `EventStream.transformSelenese(com.smartgwt.client.tools.stream.SeleniumCommand, com.smartgwt.client.tools.stream.EventStreamEvent...)`
  - `EventStream.getAsSeleneseHTML()`
  - `EventStream.getAsSeleneseCommands()`
  - `Experimental Features`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SeleniumCommand()`
  `SeleniumCommand(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SeleniumCommand`
  `getOrCreateRef(JavaScriptObject jsObj)`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SeleniumCommand

    public SeleniumCommand()

  - ### SeleniumCommand

    public SeleniumCommand(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SeleniumCommand getOrCreateRef(JavaScriptObject jsObj)